### Hierarchy

- Date

## Index

### Methods

- __@toPrimitive

## Methods

### __@toPrimitive

- __@toPrimitive(hint: "default"): string
- __@toPrimitive(hint: "string"): string
- __@toPrimitive(hint: "number"): number
- __@toPrimitive(hint: string): string | number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:109

  Converts a Date object to a string.

  #### Parameters

  - ##### hint: "default"

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:113

  Converts a Date object to a string.

  #### Parameters

  - ##### hint: "string"

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:117

  Converts a Date object to a number.

  #### Parameters

  - ##### hint: "number"

  #### Returns number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:126

  Converts a Date object to a string or number.

  throws

    {TypeError} If 'hint' was given something other than "number", "string", or "default".

  #### Parameters

  - ##### hint: string

    The strings "number", "string", or "default" to specify what primitive to return.

  #### Returns string | number

  A number if 'hint' was "number", a string if 'hint' was "string" or "default".

Generated using TypeDoc